QEXO(1)

NAME
qexo - the XQuery language implemented on a Java VM

SYNOPSIS
qexo [options]
java kawa.repl --xquery [options]

DESCRIPTION
This manual page documents briefly the qexo package, an XQuery implementation written completely in the Java language. XQuery expressions are compiled into Java bytecodes for efficiency. XQuery is a new language designed for querying, manipulating, and generating XML and similar data sets. Using the qexo script is equivalent to invoking an interpreter of the Java language on the kawa.repl class and specifying the --xquery option. This manual page is just a quick synopsis. For more information, see the links below.

OPTIONS

-e expression
    Evaluate the expression.

-c expression
    Evaluate the expression, but does not cause the start-up file ~/.kawarc.scm to be read.

-f filename
    Read and evaluate XQuery expressions from the filename.

-s  Enter an interactive read-evaluate-print command loop.

-w  Enter an interactive read-evaluate-print in a new top-level window.

-C filename
    Compile filename to one or more Java class files. See the Kawa manual for details.

If no options are specified, it is equivalent to -s.
GNU readline(3) can normally be used to edit commands.

FILES

/usr/bin/qexo
    The qexo executable just invokes kawa(1) with the --xquery option.

~/.kawarc.scm
    Commands that are executed when qexo (or kawa) is started.

AUTHOR
Per Bothner <per@bothner.com>.

SEE ALSO
kawa(1)

info kawa - the complete Kawa manual.

http://www.gnu.org/software/qxeo/ (http://www.gnu.org/software/qxeo/) - the qexo home page.

http://www.gnu.org/software/kawa/ (http://www.gnu.org/software/kawa/) - the kawa home page.

htpp://www.w3.org/XML/Query (htpp://www.w3.org/XML/Query") - the W3C XQuery home page.